@ECHO off


:start
cls
echo Make sure to enable USB Debugging on the tablet
echo  - Settings -) Applications -) Development -) USB debugging (green checkmark)
echo '
echo  1. Check Connection
echo  2. Verify Tablet is ROOT Capable (with this script)
echo  3. Run ROOT Script
echo  4. Quit
echo '
set /p choice=Choose Option (1 thru 3): 
if %choice%==1 goto check
if %choice%==2 goto verify
if %choice%==3 goto root
if %choice%==4 goto quit

:check
cls
echo Running Connection Test
echo  - Make sure you have only one device listed. (EX: 0123456789ABCDEF)
echo '
adb devices
echo Done.
pause
goto start

:verify
cls
echo Verifying ADB can access ROOT
echo '
adb root
echo '
echo **********************************************************
echo If you see: "adbd cannot run as root in production builds"
echo  - this script WILL NOT work
echo '
echo If you see: "restarting adbd as root"
echo  - proceed to option 3
echo '
echo If you see: "adbd is already running as root"
echo  - proceed to option 3
echo **********************************************************
echo '
echo Done.
pause
goto start

:root
cls
echo Running ROOT Script 
adb root
adb remount
echo '
echo push Superuser.apk /system/app/Superuser.apk
adb push Superuser.apk /system/app/Superuser.apk
echo push su /system/bin/su
adb push su /system/bin/su
echo push su /system/xbin/su
adb push su /system/xbin/su

echo '
echo adb shell chown 0.0 /system/xbin/su
adb shell chown 0.0 /system/xbin/su
echo adb shell chmod 6775 /system/xbin/su
adb shell chmod 6775 /system/xbin/su
echo adb shell ln -s /system/xbin/su /system/bin/su
adb shell ln -s /system/xbin/su /system/bin/su

echo '
echo Installing Root Checker
adb install com.joeykrim.rootcheck.apk
echo Installing Busybox
adb install stericson.busybox.apk
echo '
echo Done.
pause
goto start
:quit
cls
echo Disconnect the cable from your 
pause
exit